# Contributing

This repository is the place to file a3m bug reports as well as make suggestions
for new or enhanced features. Anyone with a GitHub account can add an issue,
comment on someone else's issue, or make a pull request.

## Security

If you have a security concern about a3m or any of its companion repositories,
please do not file it here. See the [security policy](SECURITY.md) in this
repository for directions on how to report security issues.

## Filing an issue

All changes to a3m should start with an issue, including bug fixes, new
features, and enhancements to existing features.

To file an issue, go to [the Issues
tab](https://github.com/artefactual-labs/a3m/issues) and click the green **New
issue** button in the top right-hand corner. You can select the appropriate
template from the list. Fill out the template with as much information as you
can.

An issue should describe a behaviour without implying a solution. The pull
request that may follow, if changes to the codebase are necessary, fixes the
problem. Framing your issue as a problem statement helps everyone understand why
the issue is important - it describes how Enduro is not performing as it should
(bug) or as it could (enhancement). Please title your issue as a problem
statement, starting with "Problem:". You can check [existing
issues](https://github.com/archivematica/Issues/issues) for examples.

### Reporting a bug

To report a bug, select **Bug report** from the issue templates and fill out the
fields with as much information as possible.

Useful information to provide includes:

* What version of a3m are you using?
* Are you using it with Enduro?
* How was it installed?
* Was this a fresh install or an upgrade?
* What did you do to cause this bug to happen?
* What did you expect to happen?
* What did you see instead?
* Can you reproduce this reliably?

### Submitting an enhancement idea

To suggest a new feature or an enhancement to an existing feature, select
**Feature request** from the issue templates and fill out the fields with as
much information as possible.
